Page MenuHomePhabricator

Attempt to change skins throwing error on MediaWiki.org
Closed, ResolvedPublic

Description

While logged in, when I change the skin and hit Save at https://www.mediawiki.org/wiki/Special:Preferences#mw-prefsection-rendering I receive the following error:

Error
Our servers are currently under maintenance or experiencing a technical problem. Please try again in a few minutes.

See the error message at the bottom of this page for more information.

If you report this error to the Wikimedia System Administrators, please include the details below.

PHP fatal error: 
Argument 2 passed to GlobalPreferences\Hooks::onPreferencesFormPreSave() must be an instance of PreferencesForm, PreferencesFormLegacy given

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 9:24 PM
Legoktm triaged this task as Unbreak Now! priority.May 30 2018, 10:07 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMay 30 2018, 10:07 PM

Change 436411 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/GlobalPreferences@master] Don't type hint PreferencesFormPreSave hook against PreferencesForm

https://gerrit.wikimedia.org/r/436411

Change 436413 had a related patch set uploaded (by Thcipriani; owner: Legoktm):
[mediawiki/extensions/GlobalPreferences@wmf/1.32.0-wmf.6] Don't type hint PreferencesFormPreSave hook against PreferencesForm

https://gerrit.wikimedia.org/r/436413

Change 436413 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@wmf/1.32.0-wmf.6] Don't type hint PreferencesFormPreSave hook against PreferencesForm

https://gerrit.wikimedia.org/r/436413

Mentioned in SAL (#wikimedia-operations) [2018-05-30T22:22:24Z] <thcipriani@tin> Synchronized php-1.32.0-wmf.6/extensions/GlobalPreferences/includes/Hooks.php: SWAT: [[gerrit:436413|Do not type hint PreferencesFormPreSave hook against PreferencesForm]] T196023 (duration: 01m 22s)

Change 436411 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Don't type hint PreferencesFormPreSave hook against PreferencesForm

https://gerrit.wikimedia.org/r/436411

Thanks, all. It's working for me now.

Legoktm closed this task as Resolved.May 31 2018, 5:49 PM
Legoktm claimed this task.
Vvjjkkii renamed this task from Attempt to change skins throwing error on MediaWiki.org to 8xbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii lowered the priority of this task from Unbreak Now! to High.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Legoktm; removed: gerritbot, Aklapper.
thcipriani updated the task description. (Show Details)Jul 1 2018, 7:42 PM
thcipriani assigned this task to Legoktm.
thcipriani closed this task as Resolved.
thcipriani renamed this task from 8xbaaaaaaa to Attempt to change skins throwing error on MediaWiki.org.
thcipriani raised the priority of this task from High to Unbreak Now!.Jul 1 2018, 7:43 PM
thcipriani added subscribers: gerritbot, Aklapper.